List recipient candidates (external wallets)
GET
/v1/transfer/recipients
const url = 'https://api.parasta.io/v1/transfer/recipients';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.parasta.io/v1/transfer/recipients \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” networkId
string
q
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
favorites
Array<object>
object
id
string
label
string
address
string
recent
Array<object>
object
address
string
lastUsedAt
string format: date-time
tokenSymbol
string
Example generated
{ "favorites": [ { "id": "example", "label": "example", "address": "example" } ], "recent": [ { "address": "example", "lastUsedAt": "2026-04-15T12:00:00Z", "tokenSymbol": "example" } ]}